Bug 810312 - Incorrect Yakuake height handling on dualhead
Incorrect Yakuake height handling on dualhead
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yakuake (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 11:13 EDT by Martin Kyral
Modified: 2015-05-10 19:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: yakuake-2.9.9-9.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-23 12:05:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shrinked yakuake window (steps 2, 4) (892.22 KB, image/png)
2012-04-05 11:13 EDT, Martin Kyral
no flags Details
Too tall yakuake window (steps 3, 5) (487.15 KB, image/png)
2012-04-05 11:15 EDT, Martin Kyral
no flags Details
proposed patch (1.66 KB, text/plain)
2015-01-12 04:18 EST, Martin Kyral
no flags Details

  None (edit)
Description Martin Kyral 2012-04-05 11:13:16 EDT
Created attachment 575478 [details]
Shrinked yakuake window (steps 2, 4)

Description of problem:
With two displays (I have 1366x768 as primary and 1920x1080 as secondary) yakuake doesn't handle height correctly


Version-Release number of selected component (if applicable):
yakuake-2.9.8-3.fc16.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Run/Move yakuake on the secondary (larger) display
2. Press F12 (show yakuake).
3. Press F12 twice (to hide and show yakuake again).
4. Change the window size using the shotcut either way.
5. Press F12 twice (to hide and show yakuake again).


Actual results:
2. Yakuake shows up with the height set according the primary display height (ie. smaller than expected).
3. Yakuake shows up with the height set according the complete (not counting the bottom panel, if present - for 100%, bottom of the yakuake window incl. the controls is hidden under the panel) secondary display height.
4. Yakuake shrinks its height according the primary display height (ie. smaller than expected).
5. Yakuake shows up with the height set according the complete (not counting the bottom panel, if present - for 100%, bottom of the yakuake window incl. the controls is hidden under the panel) secondary display height.

Width is handled correctly.


Expected results:
2.,3.,4.,5. - Yakuake is shown with height set according to correct secondary display's height with the bottom panel height counted into account.


Additional info:
None
Comment 1 Martin Kyral 2012-04-05 11:15:47 EDT
Created attachment 575480 [details]
Too tall yakuake window (steps 3, 5)
Comment 2 Martin Kyral 2012-11-15 10:58:59 EST
I filed upstream bug for that:
https://bugs.kde.org/show_bug.cgi?id=310155
Comment 3 Fedora End Of Life 2013-01-16 09:06:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-12-21 03:34:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 06:56:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Martin Kyral 2015-01-12 04:18:47 EST
Created attachment 979002 [details]
proposed patch

The upstream bug has been fixed and the fix can be backported to yakuake-2.9.9 as on F21. I tried it and it works flawlessly, thus I'm reopening this bug.
Comment 7 Martin Kyral 2015-01-12 04:44:20 EST
Upstream bug:
https://bugs.kde.org/show_bug.cgi?id=310155
Comment 8 Fedora Update System 2015-04-18 11:44:26 EDT
yakuake-2.9.9-8.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/yakuake-2.9.9-8.fc22
Comment 9 Fedora Update System 2015-04-18 11:45:14 EDT
yakuake-2.9.9-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/yakuake-2.9.9-8.fc21
Comment 10 Fedora Update System 2015-04-21 14:50:11 EDT
Package yakuake-2.9.9-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yakuake-2.9.9-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6468/yakuake-2.9.9-8.fc21
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-04-23 12:05:50 EDT
yakuake-2.9.9-8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-04-29 09:48:27 EDT
yakuake-2.9.9-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/yakuake-2.9.9-9.fc21
Comment 13 Fedora Update System 2015-05-10 19:45:50 EDT
yakuake-2.9.9-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.